## GDataAuthor GDataAuthor — Atom author element |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataAuthor * | gdata_author_new ()
const gchar * | gdata_author_get_name ()
void | gdata_author_set_name ()
const gchar * | gdata_author_get_uri ()
void | gdata_author_set_uri ()
const gchar * | gdata_author_get_email_address ()
void | gdata_author_set_email_address ()

## Properties

gchar * | email-address | Read / Write
gchar * | name | Read / Write
gchar * | uri | Read / Write

## Types and Values

| GDataAuthor
| GDataAuthorClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataAuthor

## Implemented Interfaces

GDataAuthor implements GDataComparable.

## Includes

    #include <gdata/atom/gdata-author.h>

## Description

GDataAuthor represents a "author" element from the

Atom specification.

## Functions

### gdata_author_new ()

    GDataAuthor *
    gdata_author_new (const gchar *name,
                      const gchar *uri,
                      const gchar *email_address);

Creates a new GDataAuthor. More information is available in the Atom specification.

#### Parameters

name | the author's name |
uri | an IRI describing the author, or `NULL`. | [allow-none]
email_address | the author's e-mail address, or `NULL`. | [allow-none]

#### Returns

a new GDataAuthor, or `NULL`; unref with `g_object_unref()`

### gdata_author_get_name ()

    const gchar *
    gdata_author_get_name (GDataAuthor *self);

Gets the “name” property.

#### Parameters

self | a GDataAuthor |

#### Returns

the author's name

Since 0.4.0

### gdata_author_set_name ()

    void
    gdata_author_set_name (GDataAuthor *self,
                           const gchar *name);

Sets the “name” property to `name` .

#### Parameters

self | a GDataAuthor |
name | the new name for the author |

Since 0.4.0

### gdata_author_get_uri ()

    const gchar *
    gdata_author_get_uri (GDataAuthor *self);

Gets the “uri” property.

#### Parameters

self | a GDataAuthor |

#### Returns

the author's URI, or `NULL`

Since 0.4.0

### gdata_author_set_uri ()

    void
    gdata_author_set_uri (GDataAuthor *self,
                          const gchar *uri);

Sets the “uri” property to `uri` .

Set `uri` to `NULL` to unset the property in the author.

#### Parameters

self | a GDataAuthor |
uri | the new URI for the author, or `NULL`. | [allow-none]

Since 0.4.0

### gdata_author_get_email_address ()

    const gchar *
    gdata_author_get_email_address (GDataAuthor *self);

Gets the “email-address” property.

#### Parameters

self | a GDataAuthor |

#### Returns

the author's e-mail address, or `NULL`

Since 0.4.0

### gdata_author_set_email_address ()

    void
    gdata_author_set_email_address (GDataAuthor *self,
                                    const gchar *email_address);

Sets the “email-address” property to `email_address` .

Set `email_address` to `NULL` to unset the property in the author.

#### Parameters

self | a GDataAuthor |
email_address | the new e-mail address for the author, or `NULL`. | [allow-none]

Since 0.4.0

## Types and Values

### GDataAuthor

    typedef struct _GDataAuthor GDataAuthor;

All the fields in the GDataAuthor structure are private and should never be accessed directly.

### GDataAuthorClass

    typedef struct {
    } GDataAuthorClass;

All the fields in the GDataAuthorClass structure are private and should never be accessed directly.

Since 0.4.0

## Property Details

### The `“email-address”` property

      “email-address”            gchar *

An e-mail address associated with the person.

For more information, see the

Atom specification.

Flags: Read / Write

Default value: NULL

Since 0.4.0

### The `“name”` property

      “name”                     gchar *

A human-readable name for the person.

For more information, see the

Atom specification.

Flags: Read / Write

Default value: NULL

Since 0.4.0

### The `“uri”` property

      “uri”                      gchar *

An IRI associated with the person.

For more information, see the

Atom specification.

Flags: Read / Write

Default value: NULL

Since 0.4.0